#### Description:

This function returns a boolean result (0 or 1) to indicate whether the supplied Object has an attribute with the supplied name.

#### Synopsis

int astHasAttribute( AstObject ∗this, const char ∗attrib )

#### Parameters:

##### this

Pointer to the first Object.

##### attrib

Pointer to a string holding the name of the attribute to be tested.

#### Applicability

##### Object

This function applies to all Objects.

#### Returned Value

##### astHasAttribute()

One if the Object has the named attribute, otherwise zero.

#### Notes:

- A value of zero will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory